function [sig2rabin1,sig2rabin2,sig2rabin3,sig2rabin4,numobsbin1,numobsbin2,numobsbin3,numobsbin4]=gen_sig_mean_std(sigma2,riskavbin,weights)

% sig2rabin(1,2,3,4) holds the (weighted) sigma2 observations for each risk
% aversion bin.  That is, each sigma2 value is multiplied by its sample weight.
[sig2rabin1,numobsbin1]=sig2rabin(1,riskavbin,sigma2,weights);
[sig2rabin2,numobsbin2]=sig2rabin(2,riskavbin,sigma2,weights);
[sig2rabin3,numobsbin3]=sig2rabin(3,riskavbin,sigma2,weights);
[sig2rabin4,numobsbin4]=sig2rabin(4,riskavbin,sigma2,weights);

% display('Means and St. Devs for 4 Risk Aversion Bins in Table 3')
% [mean(sigma2.*weights),mean(sig2rabin1),mean(sig2rabin2),mean(sig2rabin3),mean(sig2rabin4);...
%     std(sigma2.*weights),std(sig2rabin1),std(sig2rabin2),std(sig2rabin3),std(sig2rabin4)]
% display('Num Obs and % of Obs by Bin in Table 3')
% [sum([numobsbin1,numobsbin2,numobsbin3,numobsbin4]),numobsbin1,numobsbin2,numobsbin3,numobsbin4]
% [sum([numobsbin1,numobsbin2,numobsbin3,numobsbin4])/length(sigma2),...
%     numobsbin1/length(sigma2),numobsbin2/length(sigma2),numobsbin3/length(sigma2),numobsbin4/length(sigma2)]