function [s2bins,s2medvals,counted]=s2tenbins(sigbinrange,sigma2,weights)

% s2bins holds the fraction of weighted observations in each sigma2 bin  
s2bins=zeros(10,1);
s2medvals=zeros(10,1);
counted=0;
for k=1:length(sigma2)
    for j=1:length(sigbinrange(:,1)) 
        if sigma2(k)<=sigbinrange(j,2) && sigma2(k)>sigbinrange(j,1);
            s2bins(j)=s2bins(j)+weights(k);
            s2medvals(j)=s2medvals(j)+sqrt(sigma2(k))*weights(k);
            counted=counted+1;
        end
    end
end
s2medvals=s2medvals./s2bins;
s2bins=s2bins/sum(s2bins);
