function [chi2hat]=searchonepos_structural(betainvguess,fsigzeroguess,thetaguess,pos,p,logvzeromat,medsig2vals,gdist,threshold,lnlbase,updownindicator,fgonbin,riskavbin,databig,covmat,options)
% This function file finds the chi-squared value given the baseline likelihood value (likelihood at optimal betainv and fsigzero)
% and the likelihood value implied by the pos and p values

[betainv,fsigzero,theta]=fixpossearch_structural(betainvguess,fsigzeroguess,thetaguess,pos,p,logvzeromat,medsig2vals,gdist,fgonbin,riskavbin,databig,covmat,options);

[lnmax]=lnlhood_structural(logvzeromat,betainv,fsigzero',theta,medsig2vals,gdist,fgonbin,riskavbin,databig,covmat);

%lnlbase-lnmax
%chi2cdf(2*(lnlbase-lnmax),1)

%[p 100*max(0.0115-p,0)]

chi2hat= abs(lnlbase-lnmax-chi2inv(threshold,1)/2)+abs(lnlbase)*max(updownindicator*(fsigzeroguess(pos)-p),0);
%abs(chi2cdf(2*(lnlbase-lnmax),1)-threshold);


