*This do file outsheets ex1 values for Shane by gamma bin

*Right now problem with code is that when we merge bigdatatemp (in clean.do file) 
*with hdpp_data_missing.dta, and then kick out missing ex1 values, we lose two people from
*the cleandata2.dta file which only kicks people out based on non-ex1 considerations (verify) 
*Thus we will use the 1427 obs. sample.

*Note: I verified this outsheet file has only id's of people who are in the 1427 by checking
*each line of specification and then simply specifying that year==1997, this indeed
*gives 1427 id numbers.

clear
use "$startdir/$outputdata\bigdata", replace
keep if id2!=0 & id2!=. & ex1!=.
keep if riskavbin2==1
outsheet id year ex1 using "$startdir/$outputtables\riskavbin2_outsheet", comma replace


***** Looking at ex1 values here, keeping for future code reference ******************
*by id: gen dex1=ex1-ex1[_n-1] if year-1==year[_n-1] & ex1!=-99 & ex1[_n-1]!=-99
************************************************************************************

clear
use "$startdir/$outputdata\bigdata", replace
keep if id2!=0 & id2!=. & ex1!=.
keep if riskavbin3==1
outsheet id year ex1 using "$startdir/$outputtables\riskavbin3_outsheet", comma replace

clear
use "$startdir/$outputdata\bigdata", replace
keep if id2!=0 & id2!=. & ex1!=.
keep if riskavbin4==1
outsheet id year ex1 using "$startdir/$outputtables\riskavbin4_outsheet", comma replace

clear
use "$startdir/$outputdata\bigdata", replace
keep if id2!=0 & id2!=. & ex1!=.
keep if riskavbin2==0 & riskavbin3==0 & riskavbin4==0 & riskav!=.
outsheet id year ex1 using "$startdir/$outputtables\riskavbin1_outsheet", comma replace


clear
use "$startdir/$outputdata\bigdata", replace
keep if id2!=0 & id2!=. & ex1!=.
keep if riskav!=.
gen riskavbin=1
replace riskavbin=2 if riskavbin2==1
replace riskavbin=3 if riskavbin3==1
replace riskavbin=4 if riskavbin4==1
outsheet id year ex1 riskavbin  using "$startdir/$outputtables\riskavbin_all_outsheet", comma replace



