#delimit;
cd "$startdir/$outputtables/$runname$date\";
use "$startdir\$outputdata\finalclean_$gender$x1$x2.dta";
*************Run first stage regressions****************;

if "$firststage"=="none" {;
        gen ex1=x1dep;
        gen ex2=x2dep;
};
else {;
                if "$couple"=="yes" {;
                        reg    x1dep exp exp2 exp3 /* first* */  HDedd* WFedd* HDage1edd* WFage1edd* HDage2edd* WFage2edd* HDage3edd* WFage3edd* numfamunit yd* havebaby numbaby haveskid numskid haveokid numokid [weight=weight];
                };
                else if "$couple"=="no" & "$gender"!="both"{;
                        reg    x1dep exp exp2 exp3 edd* age1edd* age2edd* age3edd* numfamunit yd* havebaby numbaby haveskid numskid haveokid numokid [weight=weight];
                };
                predict ex1 if $x1 !=., resid;
                if "$couple"=="yes" {;
                        reg    x2dep exp exp2 exp3 /* first* */  HDedd* WFedd* HDage1edd* WFage1edd* HDage2edd* WFage2edd* HDage3edd* WFage3edd* numfamunit yd* havebaby numbaby haveskid numskid haveokid numokid [weight=weight];
                };
                else if "$couple"=="no" & "$gender"!="both"{;
                        reg    x2dep exp exp2 exp3 edd* age1edd* age2edd* age3edd* numfamunit yd* havebaby numbaby haveskid numskid haveokid numokid [weight=weight];
                };
                predict ex2  if $x2 !=., resid;
};

save "$startdir\$outputdata\firststage_$gender$x1$x2.dta", replace;

