clear;
clc;

% This file opens the volatility sample runs Shane produces.
% The file is not formatted well for stata, so we reformat using this code

%% Original vol data

% First, redefine "iter" as "5" and "iter" as "10" and "init" as "15" in text version of what
% shane sends.  This way matlab can open the file appropriately.

% read in this "recoded" data:
%data1=dlmread('C:\Users\dbarth\Desktop\Income_Volatility\Shane_Test_Files\test_output.allmen.fill.excess.mhdp2.py.w1.00-1.00-1.00.chain1.sigsq.txt_iterto5_iterto10_initto15.txt');
data1=dlmread('H:\Research\IncomeVolatility\Stata\inputdata\InputData_GoldCopy\Original_files_from_Shane\20150901.files.for.replication\output\db_output.allmen.fill.excess.mhdp2.py.w1.00-1.00-1.00.chain1.sigsq.txt');


newdata1=transpose(data1);
newdata2=newdata1(:,[1,2,179:end]);
b=mean(newdata2(:,3:end),2);
avgvol=[newdata2(:,1:2),b];
avgvol=avgvol(2:end,:);

dlmwrite('H:\Research\IncomeVolatility\Stata\inputdata\InputData_GoldCopy\Original_files_from_Shane\db_clean_avgvol_data.txt',avgvol,'precision',7);

% Then use clean_vod_data1 in stata analysis/data merging


%% 100 sample vol data

% First, redefine "id" as "5" and "year" as "10" in text version of what
% shane sends.  This way matlab can open the file appropriately.

% read in this "recoded" data:
data=dlmread('H:\Research\IncomeVolatility\Stata\inputdata\InputData_GoldCopy\Original_files_from_Shane\20150901.files.for.replication\output\db_output.allmen.fill.excess.mhdp2.py.w1.00-1.00-1.00.chain1.sigsq.txt.100samples.txt');

newdata=transpose(data);
newdata=newdata(2:end,:);

dlmwrite('H:\Research\IncomeVolatility\Stata\inputdata\InputData_GoldCopy\Original_files_from_Shane\db_clean_100sample_data.txt',newdata,'precision',7);

% Then use clean_vol_data.txt in stata analysis/data merging

