function [mybetainv,fsigzero,theta]=makemodelparams_structural(logvzeromat,betainvguess,fsigzeroguess,thetaguess,medsig2vals,gdist,fgonbin,riskavbin,databig,covmat,options)

guess=zeros(10,1);
guess(1)=max(0,betainvguess);
guess(2)=log(fsigzeroguess(1));
guess(3:10)=log(fsigzeroguess(3:10));

guess=[guess;thetaguess'];

[hyperparams,fval,exitflag] = fminsearch(@(x) negtranslnlikelihood_structural(logvzeromat,x,medsig2vals,gdist,fgonbin,riskavbin,databig,covmat),guess,options) ;
mybetainv=hyperparams(1);
fsigzero(1)=exp(hyperparams(2));
fsigzero(3:10)=exp(hyperparams(3:10));
fsigzero(2)=1-sum(exp(hyperparams(2:10)));
theta=hyperparams(11:end);
