clear
*set memory 1000m
*set maxvar 10000

/* This file reads in and manipulates the cleaned (recoded) 100 sample data sent from Shane */

insheet using "$startdir/$inputdata\Original_files_from_Shane\db_clean_100sample_data.txt"

rename v1 id
rename v2 year

local i=1
foreach x of varlist v3-v102  {
rename `x' trial`i'
local i = `i' + 1
}

keep if year>=1991 & year<=1996

local i=1 
while `i' <=100 {
bysort id: egen trial_mean`i'=mean(trial`i')
quietly replace trial_mean`i'=1 if trial_mean`i'>1
local i = `i'+1 
}

keep if year==1996
drop year
sort id
merge id using "$startdir/$outputdata\id_list.dta"
keep if _merge==3
keep id trial_mean*
sort id

save "$startdir/$outputdata\100sample_vol_id.dta", replace

